# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'Settings'
        db.create_table('document_settings', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='document_settings_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='document_settings_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('value', self.gf('django.db.models.fields.CharField')(max_length=500, null=True, blank=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=20)),
        ))
        db.send_create_signal('document', ['Settings'])


    def backwards(self, orm):
        
        # Deleting model 'Settings'
        db.delete_table('document_settings')


    models = {
        'agenda.appointment': {
            'Meta': {'object_name': 'Appointment'},
            'assigned_by': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments_assigned_by_me'", 'null': 'True', 'to': "orm['auth.User']"}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_appointment_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'dayperiodicity': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments'", 'null': 'True', 'to': "orm['agenda.DayPeriodicity']"}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_appointment_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'monthperiodicity': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments'", 'null': 'True', 'to': "orm['agenda.MonthPeriodicity']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'origin_id': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'origin_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']", 'null': 'True', 'blank': 'True'}),
            'periodicity': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'tipology': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments'", 'null': 'True', 'to': "orm['agenda.AppointmentType']"}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'visibility': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'weekperiodicity': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments'", 'null': 'True', 'to': "orm['agenda.WeekPeriodicity']"}),
            'yearperiodicity': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments'", 'null': 'True', 'to': "orm['agenda.YearPeriodicity']"})
        },
        'agenda.appointmenttype': {
            'Meta': {'object_name': 'AppointmentType'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_appointmenttype_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_appointmenttype_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {})
        },
        'agenda.dayperiodicity': {
            'Meta': {'object_name': 'DayPeriodicity'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_dayperiodicity_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_dayperiodicity_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'repeat_days': ('django.db.models.fields.IntegerField', [], {}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'agenda.membership': {
            'Meta': {'object_name': 'Membership'},
            'appointment': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['agenda.Appointment']"}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'content_type_set_for_membership'", 'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite_reason': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'object_id': ('django.db.models.fields.TextField', [], {}),
            'role': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['agenda.Role']", 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'})
        },
        'agenda.monthperiodicity': {
            'Meta': {'object_name': 'MonthPeriodicity'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_monthperiodicity_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_monthperiodicity_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'repeat_months': ('django.db.models.fields.IntegerField', [], {}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'type_day': ('django.db.models.fields.CharField', [], {'max_length': '1', 'db_index': 'True'})
        },
        'agenda.role': {
            'Meta': {'object_name': 'Role'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_role_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_role_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {})
        },
        'agenda.weekperiodicity': {
            'Meta': {'object_name': 'WeekPeriodicity'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_weekperiodicity_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'fri': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_weekperiodicity_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'mon': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'repeat_weeks': ('django.db.models.fields.IntegerField', [], {}),
            'sat': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'sun': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'thu': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'tue': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'wed': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
        },
        'agenda.yearperiodicity': {
            'Meta': {'object_name': 'YearPeriodicity'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_yearperiodicity_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_yearperiodicity_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'repeat_years': ('django.db.models.fields.IntegerField', [], {}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'document.category': {
            'Meta': {'ordering': "['name']", 'object_name': 'Category'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'document_category_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'unique': 'True', 'max_length': '75'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'document_category_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'notify_email': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'notify_to_add_document': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'document.categorypermission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'object_name': 'CategoryPermission', '_ormbases': ['auth.Permission']},
            'model_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'permission_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['auth.Permission']", 'unique': 'True', 'primary_key': 'True'})
        },
        'document.default': {
            'Meta': {'object_name': 'Default'},
            'category': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'document_defaults'", 'unique': 'True', 'to': "orm['document.Category']"}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'document_default_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'document_defaults'", 'to': "orm['auth.Group']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'document_default_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'users': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'document_defaults'", 'to': "orm['document.DocumentUser']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'})
        },
        'document.document': {
            'Meta': {'object_name': 'Document'},
            'assigned_by': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'documents_assigned_by_me'", 'null': 'True', 'to': "orm['document.DocumentUser']"}),
            'assigned_to': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'documents_assigned_to_me'", 'null': 'True', 'to': "orm['document.DocumentUser']"}),
            'category': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'documents'", 'to': "orm['document.Category']"}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'document_document_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_doc': ('django.db.models.fields.DateTimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'direction': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'downloadable_by': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'documents'", 'to': "orm['document.DocumentUser']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'}),
            'etichetta': ('django.db.models.fields.files.FileField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_public': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'keywords': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'document_document_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'notify_group': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'documents'", 'to': "orm['auth.Group']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'}),
            'number': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '20', 'null': 'True', 'db_column': "'dnumber'", 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'documents'", 'null': 'True', 'to': "orm['organization.Organization']"}),
            'other_category': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'documents'", 'to': "orm['document.OtherCategory']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'}),
            'pages': ('django.db.models.fields.PositiveSmallIntegerField', [], {'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'person': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'documents'", 'null': 'True', 'to': "orm['organization.Contact']"}),
            'projects': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'documents'", 'to': "orm['document.DocumentProject']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'}),
            'protocol_number': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'reception_date': ('django.db.models.fields.DateTimeField', [], {'db_index': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '2', 'db_index': 'True'}),
            'support': ('django.db.models.fields.CharField', [], {'max_length': '1', 'db_index': 'True'}),
            'tipology': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'documents'", 'null': 'True', 'to': "orm['document.Tipology']"}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'working': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'})
        },
        'document.documentproject': {
            'Meta': {'ordering': "['name']", 'object_name': 'DocumentProject', '_ormbases': ['project.Project']},
            'managers': ('django.db.models.fields.related.ManyToManyField', [], {'db_index': 'True', 'related_name': "'managed_documentprojects'", 'symmetrical': 'False', 'to': "orm['document.DocumentUser']"}),
            'project_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['project.Project']", 'unique': 'True', 'primary_key': 'True'}),
            'staff': ('django.db.models.fields.related.ManyToManyField', [], {'db_index': 'True', 'related_name': "'assigned_documentprojects'", 'symmetrical': 'False', 'to': "orm['document.DocumentUser']"})
        },
        'document.documentuser': {
            'Meta': {'ordering': "('user__contact__organization', 'user__contact__last_name', 'user__contact__first_name', 'user__username')", 'object_name': 'DocumentUser'},
            'enabled': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'user': ('django.db.models.fields.related.OneToOneField', [], {'related_name': "'document_user'", 'unique': 'True', 'to': "orm['auth.User']"})
        },
        'document.link': {
            'Meta': {'unique_together': "(('number', 'document'),)", 'object_name': 'Link'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'document_link_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'document': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'links'", 'to': "orm['document.Document']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'document_link_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'number': ('django.db.models.fields.IntegerField', [], {'db_column': "'lnumber'", 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {})
        },
        'document.othercategory': {
            'Meta': {'ordering': "['name']", 'object_name': 'OtherCategory'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'document_othercategory_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'unique': 'True', 'max_length': '75'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'document_othercategory_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'notify_email': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'notify_to_add_document': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'document.settings': {
            'Meta': {'object_name': 'Settings'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'document_settings_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'document_settings_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '500', 'null': 'True', 'blank': 'True'})
        },
        'document.tipology': {
            'Meta': {'ordering': "['name']", 'object_name': 'Tipology'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'i18n.language': {
            'Meta': {'ordering': "('name',)", 'object_name': 'Language'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'nationality': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        'organization.carriage': {
            'Meta': {'object_name': 'Carriage'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '3', 'primary_key': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'organization.contact': {
            'Meta': {'ordering': "['ordering', 'last_name', 'first_name']", 'object_name': 'Contact'},
            'code': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_contact_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'default': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_addressbook': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['i18n.Language']", 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_contact_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'mobile': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'to': "orm['organization.Organization']"}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'photo': ('django.db.models.fields.files.ImageField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'role': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'to': "orm['organization.ContactRole']"}),
            'send_ddt_by_email': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'send_invoice_by_email': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'send_procedure_by_email': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'send_quotation_by_email': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'title': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'to': "orm['organization.ContactTitle']"}),
            'user': ('django.db.models.fields.related.OneToOneField', [], {'blank': 'True', 'related_name': "'contact'", 'unique': 'True', 'null': 'True', 'to': "orm['auth.User']"})
        },
        'organization.contactrole': {
            'Meta': {'ordering': "('name',)", 'object_name': 'ContactRole'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_contactrole_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_contactrole_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'organization.contacttitle': {
            'Meta': {'ordering': "('name',)", 'object_name': 'ContactTitle'},
            'abbreviation': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '10'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_contacttitle_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_contacttitle_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'organization.currency': {
            'Meta': {'ordering': "('ordering', 'code')", 'object_name': 'Currency'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_currency_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_currency_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'symbol': ('django.db.models.fields.CharField', [], {'max_length': '3'})
        },
        'organization.delivery': {
            'Meta': {'ordering': "('ordering', 'transport_by', 'carriage')", 'object_name': 'Delivery'},
            'carriage': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.Carriage']"}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_delivery_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_delivery_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'transport_by': ('django.db.models.fields.CharField', [], {'max_length': '3'})
        },
        'organization.field': {
            'Meta': {'object_name': 'Field'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_field_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_field_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'organization.office': {
            'Meta': {'object_name': 'Office'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_office_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_office_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '50'}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'organization.organization': {
            'Meta': {'ordering': "['name']", 'unique_together': "(('vat_number', 'ssn'),)", 'object_name': 'Organization'},
            'brand': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organization_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'currency': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': "orm['organization.Currency']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'delivery': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': "orm['organization.Delivery']"}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'field': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': "orm['organization.Field']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_addressbook': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organization_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'newsletter_subscribed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'office': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': "orm['organization.Office']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'organization_form': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'organizations'", 'to': "orm['organization.OrganizationForm']"}),
            'organization_group': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'organizations'", 'to': "orm['organization.OrganizationGroup']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'}),
            'organization_type': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'organizations'", 'to': "orm['organization.OrganizationType']"}),
            'other_code': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'payment_form': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': "orm['payment.PaymentForm']"}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'phone2': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'print_conditions': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'print_data_request': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'print_support_letter': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'print_wellcome_letter': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ssn': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'vat': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': "orm['organization.Vat']"}),
            'vat_number': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '14', 'null': 'True', 'blank': 'True'})
        },
        'organization.organizationform': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'OrganizationForm'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organizationform_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organizationform_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'organization.organizationgroup': {
            'Meta': {'object_name': 'OrganizationGroup'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organizationgroup_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organizationgroup_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'organization.organizationtype': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'OrganizationType'},
            'category': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organizationtype_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organizationtype_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'organization.vat': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Vat'},
            'aliquot_perc': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '4', 'decimal_places': '2'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_vat_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'deduct_perc': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '4', 'decimal_places': '2'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_vat_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'payment.paymentform': {
            'Meta': {'ordering': "('code',)", 'object_name': 'PaymentForm'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '25', 'db_index': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'payment_paymentform_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'discount': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'fee': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'payment_paymentform_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'project.project': {
            'Meta': {'ordering': "['name']", 'object_name': 'Project'},
            'accepted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'c_date': ('django.db.models.fields.DateField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'c_number': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '50', 'null': 'True', 'db_column': "'cnumber'", 'blank': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'project_project_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_start': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today', 'db_index': 'True'}),
            'date_start_site': ('django.db.models.fields.DateField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'project_project_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200', 'db_index': 'True'}),
            'o_date': ('django.db.models.fields.DateField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'o_number': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '50', 'null': 'True', 'db_column': "'pnumber'", 'blank': 'True'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'projects'", 'null': 'True', 'to': "orm['organization.Organization']"}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': "'1'", 'db_index': 'True'})
        }
    }

    complete_apps = ['document']
